<?php $this->addCSS("templates/{$this->name}/css/liMarquee.css"); ?>
<?php $this->addJS("templates/{$this->name}/js/jquery.liMarquee.min.js"); ?>

<?php if ($items){ ?>

    <div id="marquee_<?php echo $widget->id; ?>" class="str_wrap"<?php if ($is_hide_background) { echo ' style="background:none;"'; } ?>>
        <?php foreach($items as $item) { ?>

            <?php $url = href_to($ctype['name'], $item['slug']) . '.html'; ?>

            <div class="item">
                <?php if ($image_field && !empty($item[$image_field])) { ?>
                    <div class="image">
                        <a href="<?php echo $url; ?>"><?php echo html_image($item[$image_field], 'micro'); ?></a>
                    </div>
                <?php } ?>
                <div class="info">
                    <div class="title">
                        <a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
                        <?php if ($item['is_private']) { ?>
                            <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                        <?php } ?>
                    </div>
                    <?php if ($teaser_field && !empty($item[$teaser_field])) { ?>
                        <div class="teaser">
                            <?php echo $item[$teaser_field]; ?>
                        </div>
                    <?php } ?>
                </div>
            </div>

        <?php } ?>
    </div>

    <script type="text/javascript">
        $(window).load(function(){
            $('#marquee_<?php echo $widget->id; ?>').liMarquee({
		drag: false
            });
        });
    </script>

<?php } ?>